summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author crocket <crockabiscuit@gmail.com>2012-12-09 11:00:55 -0500
committer dsomero <xgizzmo@slackbuilds.org>2012-12-11 16:21:59 -0500
commita89f5a5c1856b34161b468d11b0886b68c9e4db6 (patch)
tree11e4a1ec32be9f1fa70d372cf82bbf642c33c22b /network
parentbc4a2857305ceebf980f9726254cb43b83100ff0 (diff)
downloadslackbuilds-a89f5a5c1856b34161b468d11b0886b68c9e4db6.tar.gz
slackbuilds-a89f5a5c1856b34161b468d11b0886b68c9e4db6.tar.xz
network/hexchat: Added (XChat fork)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/hexchat/README3
-rw-r--r--network/hexchat/doinst.sh14
-rw-r--r--network/hexchat/hexchat.SlackBuild104
-rw-r--r--network/hexchat/hexchat.info10
-rw-r--r--network/hexchat/slack-desc19
5 files changed, 150 insertions, 0 deletions
diff --git a/network/hexchat/README b/network/hexchat/README
new file mode 100644
index 0000000000..3852a1e4f0
--- /dev/null
+++ b/network/hexchat/README
@@ -0,0 +1,3 @@
+It is based on XChat. It was originally called XChat-WDK which in
+turn was a successor of freakschat. For more info, please read
+https://www.facebook.com/HexChat/posts/386623631396756
diff --git a/network/hexchat/doinst.sh b/network/hexchat/doinst.sh
new file mode 100644
index 0000000000..608790a542
--- /dev/null
+++ b/network/hexchat/doinst.sh
@@ -0,0 +1,14 @@
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install apps_hexchat_url_handler.schemas
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/network/hexchat/hexchat.SlackBuild b/network/hexchat/hexchat.SlackBuild
new file mode 100644
index 0000000000..329d186529
--- /dev/null
+++ b/network/hexchat/hexchat.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for hexchat
+
+# Copyright 2012 crocket crockabiscuit@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hexchat
+VERSION=${VERSION:-2.9.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-ipv6 \
+ --enable-socks \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar share/doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/hexchat/hexchat.info b/network/hexchat/hexchat.info
new file mode 100644
index 0000000000..53cb00fae6
--- /dev/null
+++ b/network/hexchat/hexchat.info
@@ -0,0 +1,10 @@
+PRGNAM="hexchat"
+VERSION="2.9.4"
+HOMEPAGE="http://www.hexchat.org"
+DOWNLOAD="https://github.com/downloads/hexchat/hexchat/hexchat-2.9.4.tar.xz"
+MD5SUM="5609cac7200fc91be57196501aaf07fa"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="crocket"
+EMAIL="crockabiscuit@gmail.com"
diff --git a/network/hexchat/slack-desc b/network/hexchat/slack-desc
new file mode 100644
index 0000000000..fc36faa5df
--- /dev/null
+++ b/network/hexchat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hexchat: hexchat (XChat fork)
+hexchat:
+hexchat: It is based on XChat. It was originally called XChat-WDK which in
+hexchat: turn was a successor of freakschat. For more info, please read
+hexchat: https://www.facebook.com/HexChat/posts/386623631396756
+hexchat:
+hexchat: Website : http://www.hexchat.org/
+hexchat:
+hexchat:
+hexchat:
+hexchat: